gstreamermm: Gst::QueryLatency Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::QueryLatency Class Reference

A latency query object. More...

Inheritance diagram for Gst::QueryLatency:
[legend]
Collaboration diagram for Gst::QueryLatency:
[legend]

List of all members.

## Public Member Functions
| QueryLatency (GstQuery* query)
void | set (bool live, ClockTime min_latency, ClockTime max_latency)
| Answer a latency query by setting the requested values in the given format.
void | parse (bool& live, ClockTime& min_latency, ClockTime& max_latency) const
| Parse a latency query answer.
bool | parse_live () const
| Parse a latency query answer, returning the live status.
ClockTime | parse_min () const
| Parse a latency query answer, returning the minimum latency.
ClockTime | parse_max () const
| Parse a latency query answer, returning the maximum latency.
## Static Public Member Functions
static Glib::RefPtr< Gst::Query > | create ()
| Constructs a new latency query object.

## Detailed Description

A latency query object.

See create() for more details.

## Constructor & Destructor Documentation

Gst::QueryLatency::QueryLatency | ( | GstQuery * | query | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Query> Gst::QueryLatency::create | ( |  | ) | `[static]`

Constructs a new latency query object.

A latency query is usually performed by sinks to compensate for additional latency introduced by elements in the pipeline.

Returns:
  The new Gst::QueryLatency.

void Gst::QueryLatency::parse | ( | bool & | live,
|  | ClockTime& | min_latency,
|  | ClockTime& | max_latency
| ) |  | const

Parse a latency query answer.

Use the other parse() methods for parsing individual values.

Parameters:

  live | Storage for live.
  min_latency | The storage for the min latency.
  max_latency | The storage for the max latency.

bool Gst::QueryLatency::parse_live | ( |  | ) | const

Parse a latency query answer, returning the live status.

Returns:
  the live satus.

ClockTime Gst::QueryLatency::parse_max | ( |  | ) | const

Parse a latency query answer, returning the maximum latency.

Returns:
  The maximum latency.

ClockTime Gst::QueryLatency::parse_min | ( |  | ) | const

Parse a latency query answer, returning the minimum latency.

Returns:
  The minimum latency.

void Gst::QueryLatency::set | ( | bool | live,
|  | ClockTime | min_latency,
|  | ClockTime | max_latency
| ) |  |

Answer a latency query by setting the requested values in the given format.

Parameters:

  live | If there is a live element upstream.
  min_latency | The minimal latency of the live element.
  max_latency | The maximal latency of the live element.

The documentation for this class was generated from the following file:

- gstreamermm/query.h